CAD/CAM discussion forum > Other CAD/CAM Technology > DCL :allow_accept = true; dont work !!!

DCL :allow_accept = true; dont work !!!

Rank: 1

Atabey37

Newbie

posts: 0

Registered: 2011-12-1

Message 1 of 10

02-03-2011 08:46 . am | View his/her posts only
hi


(DCL) allow_accept = true; command dont work !!!
dont select object

pls help me

Rank: 1

OldForumPost

Newbie

posts: 0

Registered: 2012-1-14

Message 2 of 10

03-03-2011 02:58 . pm | View his/her posts only

[QUOTE=Atabey]hi


(DCL) allow_accept = true; command dont work !!!
dont select object

pls help me
give us more details. what do you try to achieve. what object ? allow accept is for list tiles in DCL window.

j.

Rank: 1

Atabey37

Newbie

posts: 0

Registered: 2011-12-1

Message 3 of 10

04-03-2011 08:18 . am | View his/her posts only
this is findd.lsp

; **********************************************************************
; text arama lispi
; **********************************************************************
(defun chgterr (s)
(if (/= s "Function cancelled") ; If an error (such as CTRL-C) occurs
(princ (strcat "'nError: " s)) ; while this command is active...
)
(setq p nil) ; Free selection set
(setq *error* olderr) ; Restore old *error* handler
(princ)
)
(defun C:FINDD (/ p l n e as st s nsl osl sl si chf chm olderr)
(setq olderr *error* ; Initialize variables
*error* chgterr
chm 0)
(setq ns nil)
(setq os nil)
(setq os a)
(setvar "cmdecho" 0)
(setq asz (getvar "dimasz"))
(setq asz1 (* asz 80))

(setq dcl_id(load_dialog "findd.dcl"))
(if (not (new_dialog "findd" dcl_id))(exit))
(set_tile "a" "ifadeyi giriniz!")
(progn
(action_tile "a" "(setq t $value)")
(start_dialog)
(unload_dialog dcl_id)
)

(progn ; If any objects selected

(command "select" "all" "")
(setq p (ssget "p")) ; TUM OBJELER SECILDI ve P 'YE ATANDI
(setq px (ssadd)) ; ICI BOS PX SET?OLUSTU

(while (= 0 (setq osl (strlen (setq os t))))
(princ "Null input invalid")

)
(setq ci 0)
(setq nsl (strlen os))
(setq l 0 n (sslength p))
(while (< l n) ; For each selected object...
(if (= "TEXT" ; Look for TEXT entity type (group 0)
(cdr (assoc 0 (setq e (entget (setq xx (ssname p l)) )))))
(progn
(setq chf nil si 1)
(setq s (cdr (setq as (assoc 1 e))))
(while (= osl (setq sl (strlen
(setq st (substr s si osl)))))
(if (= st os)
(progn

;; (if (= (sslength px) 0)
(progn
(SETQ H(CDR(ASSOC 10 e)))
(SETQ X1(LIST(- (CAR H) asz1)(- (CADR H) asz1)))
(SETQ X2(LIST(+ asz1 (CAR H))(+ asz1 (CADR H) )))
(COMMAND "ZOOM" "W" X1 X2 )
)
;; ) if i

Rank: 1

OldForumPost

Newbie

posts: 0

Registered: 2012-1-14

Message 4 of 10

04-03-2011 02:37 . pm | View his/her posts only
enter work well in zwcad. what do want more ?
j.

Rank: 1

Atabey37

Newbie

posts: 0

Registered: 2011-12-1

Message 5 of 10

04-03-2011 04:31 . pm | View his/her posts only
is there anyway for this command like work AutoCAD ? !!!

Rank: 1

OldForumPost

Newbie

posts: 0

Registered: 2012-1-14

Message 6 of 10

04-03-2011 05:45 . pm | View his/her posts only

[QUOTE=Atabey37]is there anyway for this command like work AutoCAD ? !!!
but how do you want this command work? what are you expect ?
j.

Rank: 1

Atabey37

Newbie

posts: 0

Registered: 2011-12-1

Message 7 of 10

05-03-2011 05:42 . am | View his/her posts only

Rank: 1

OldForumPost

Newbie

posts: 0

Registered: 2012-1-14

Message 8 of 10

07-03-2011 01:17 . pm | View his/her posts only

[QUOTE=Atabey37]

Rank: 1

Atabey37

Newbie

posts: 0

Registered: 2011-12-1

Message 9 of 10

18-03-2011 05:58 . pm | View his/her posts only
problem was resolved...

(mode_tile "a" 3) for selected "a" when start dialod (dcl) for ZWCAD...(not compatiable ??!!)

for Autocad (set_tile "a" "1").........!

Rank: 1

OldForumPost

Newbie

posts: 0

Registered: 2012-1-14

Message 10 of 10

 DCL :allow_accept = true; dont work !!!
20-03-2011 08:06 . pm | View his/her posts only


Dear Atabey37,


Thanks for the feedback, this problem about "initial_focus" works different from Autocad has been solved now, please patiently wait for our next patch, thanks!
See also